Observation

An observation is a record of information observed.

GET/v2/fhir/Observation

List all observations

Returns a list of all observations. Pass attributes to filter the list of medication requests based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

  • Name
    code
    Type
    string
    Description

    Code to filter by.

  • Name
    category
    Type
    string
    Description

    Category to filter by.

  • Name
    date
    Type
    date
    Description

    Date to filter by (format: yyyy-mm-dd).

Request

GET
/v2/fhir/Observation
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/Observation?patient=user_Z1zXZKvqrpwxbznuW6lJ&code=Example" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/Observation/smoking-status",
            "resource": {
              "resourceType": "Observation",
              "id": "smoking-status",
              "meta": {
                "lastUpdated": "2021-01-28T16:06:21-05:00",
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-observation-lab|7.0.0"
                ]
              },
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: Observation</b><a name=\"lab-test\"> </a><a name=\"hclab-test\"> </a></p><div style=\"display: inline-block; background-color: #d9e0e7; padding: 6px; margin: 4px; border: 1px solid #8da1b4; border-radius: 5px; line-height: 60%\"><p style=\"margin-bottom: 0px\">Resource Observation &quot;lab-test&quot; Updated &quot;2021-01-28 16:06:21-0500&quot; </p><p style=\"margin-bottom: 0px\">Profile: <a href=\"StructureDefinition-us-core-observation-lab.html\">US Core Laboratory Result Observation Profile (version 7.0.0)</a></p></div><p><b>status</b>: final</p><p><b>category</b>: Laboratory <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"http://terminology.hl7.org/5.5.0/CodeSystem-observation-category.html\">Observation Category Codes</a>#laboratory)</span></p><p><b>code</b>: SARS-CoV+SARS-CoV-2 (COVID-19) Ag [Presence] in Respiratory system specimen by Rapid immunoassay <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://loinc.org/\">LOINC</a>#95209-3)</span></p><p><b>subject</b>: <a href=\"Patient-example.html\">Patient/example</a> &quot; SHAW&quot;</p><p><b>encounter</b>: <a href=\"Encounter-example-1.html\">Encounter/example-1: Office Visit</a></p><p><b>effective</b>: 2021-01-28 16:06:21-0500</p><p><b>value</b>: Detected <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#260373001)</span></p><p><b>device</b>: <span>: Acme COVID-19 Home Test_Acme Limited</span></p></div>"
              },
              "status": "final",
              "issued": "2021-01-28T16:06:21-05:00",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "laboratory",
                      "display": "Laboratory"
                    }
                  ],
                  "text": "Laboratory"
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "72166-2",
                    "display": "Tobacco smoking status"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2"
              },
              "encounter": {
                "reference": "Encounter/example-encounter",
                "display": "Office Visit"
              },
              "effectiveDateTime": "2021-01-28T16:06:21-05:00",
              "valueCodeableConcept": {
                "coding": [
                  {
                    "system": "http://snomed.info/sct",
                    "code": "428041000124106"
                  }
                ],
                "text": "Current some day smoker"
              },
              "device": {
                "display": "Acme COVID-19 Home Test_Acme Limited"
              }
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }